package card_info_apple

import (
	"context"
	"kami/internal/service"

	"kami/api/card_info_apple/v1"
)

func (c *ControllerV1) RechargeStealRuleStatusUpdate(ctx context.Context, req *v1.RechargeStealRuleStatusUpdateReq) (res *v1.RechargeStealRuleStatusUpdateRes, err error) {
	err = service.AppleOrder().SetStealRuleStatus(ctx, req.ID, req.Status)
	return
}
